<?php

/**
 * @file
 * Returns HTML for a pm_autocomplete_output.
 *
 * @Variables
 *   $display_string : string text to be passed by user
 *   $user_object  : User Object
 */

?>
<?php
  global $base_url;
  $user_data = $user_object;
  $default_image = variable_get('pm_user_image_default_image', "");
?>
<?php  if (isset($user_data->picture) && !empty($user_data->picture)) : ?>
<div class='pm-user-image'>
  <?php print theme('image_style', array(
    'style_name' => 'thumbnail',
    'path' => $user_data->picture->uri,
    'title' => t('user-image'),  
    'getsize' => TRUE,
    'attributes' => array(
      'class' => 'image-pm-user-image',
      'width' => check_plain(variable_get('pm_user_image_width', 50)),
      'height' => check_plain(variable_get('pm_user_image_height', 50)),
    ),
  )
  ); ?>
  <span class='user-pm-user-image'>
    <?php print $display_string; ?>
  </span>
</div>
<?php else : ?>
<div class='pm-user-image'>
  <?php if (!empty($default_image)) : ?>
    <?php if(variable_get('pm_user_image_path_type', 2) == 1) : ?>
      <?php 
        print theme('image', array(
          'path' => $default_image,
          'height' => check_plain(variable_get('pm_user_image_height', 50)),
          'width' => check_plain(variable_get('pm_user_image_width', 50)),
          'attributes' => array('class' => 'image-pm-user-image'),
          'title' => t('user-image'),
        ));
      ?>
    <?php else : ?>
      <?php 
        print theme('image', array(
          'path' => $base_url . '/' . $default_image,
          'height' => check_plain(variable_get('pm_user_image_height', 50)),
          'width' => check_plain(variable_get('pm_user_image_width', 50)),
          'attributes' => array('class' => 'image-pm-user-image'),
          'title' => t('user-image'),
        ));
      ?>
    <?php endif; ?>
  <?php endif; ?>
  <span class='user-pm-user-image'><?php print $display_string; ?></span>
</div>
<?php endif; ?>
